#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	IntSpan
Summary:	Set::IntSpan Perl module - manages sets of integers
Summary(pl.UTF-8):	Moduł Perla Set::IntSpan - zarządzanie zbiorami liczb całkowitych
Name:		perl-Set-IntSpan
Version:	1.19
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Set/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7c21c2fedce5b7be7d8200e2cf2bdca1
URL:		http://search.cpan.org/dist/Set-IntSpan/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set::IntSpan manages sets of integers. It is optimized for sets that
have long runs of consecutive integers. These arise, for example, in
.newsrc files, which maintain lists of articles.

%description -l pl.UTF-8
Moduł Set::IntSpan zarządza zbiorami liczb całkowitych. Jest
zoptymalizowany dla zbiorów, które mają długie ciągi kolejnych liczb.
Jest to częste na przykład w plikach .newsrc, które zawierają listy
artykułów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Set/IntSpan.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Set-IntSpan.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 554a9fa
- up to 1.19

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> e903f93
- up to 1.16

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> f0c1cfe
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> bbc8423
- up to 1.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 12f164f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94e0fcb
- converted to UTF-8

* Mon Oct 23 2006 ankry <ankry@pld-linux.org> 04be985
- ver. 1.09

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4288e4c
- formatting

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> dff9d41
- spaces->tabs
- formatting

* Mon May 24 2004 Adam Gołębiowski <adamg@pld-linux.org> 32110dc
- updated to 1.08

* Fri May 07 2004 ankry <ankry@pld-linux.org> c826c88
- rel. 12

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3e51360
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> 5d482ff
- tests added, license fixed, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> a681d0e
- cosmetics, unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 7344531
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> fbc3af5
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> a15fe0e
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 8bd0118
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 39eeeb6
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 7ea127d
- should be ready for perl-5.8.0; release++

